# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::NamedTagNodeListImpl Class Reference

NodeList which lists all Nodes in a document with a given tag name _and_ a given value for the name attribute (combination of TagNodeListImpl and NameNodeListImpl). More...

`#include <dom_nodeimpl.h>`

Inheritance diagram for DOM::NamedTagNodeListImpl:

[legend]
Collaboration diagram for DOM::NamedTagNodeListImpl:

[legend]
List of all members.

## Public Member Functions

| NamedTagNodeListImpl (NodeImpl *n, NodeImpl::Id tagId, const DOMString &name, NodeImpl::Id tagIdMask=NodeImpl_IdNSMask|NodeImpl_IdLocalMask)

## Protected Member Functions

virtual bool | nodeMatches (NodeImpl *testNode) const

## Protected Attributes

DOMString | nodeName

## Detailed Description

NodeList which lists all Nodes in a document with a given tag name _and_ a given value for the name attribute (combination of TagNodeListImpl and NameNodeListImpl).

Definition at line 527 of file dom_nodeimpl.h.

The documentation for this class was generated from the following files:

- dom_nodeimpl.h
- dom_nodeimpl.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001